Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005704OCamlOCaml backend (code generation)public2012-07-28 14:032013-07-09 13:12
Reporterlefessan 
Assigned To 
PrioritynormalSeveritytrivialReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version4.00.0 
Target Version4.01.0+devFixed in Version4.01.0+dev 
Summary0005704: cmx magic numbers have not been changed for a while
DescriptionIt looks like cmx magic numbers have not been changed since commit 7812, but last changes to the Clambda.ulambda (used for inlined function code in .cmx) have commit numbers 11007 and 12179.

Some people have noticed segfaults of ocamlopt/ocamlopt.opt due to heap corruption. Is it possible that these segfaults come from .cmx files of older versions ? (I open this bug report so that such problems can be linked to this bug report as a possible cause)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0008154)
xleroy (administrator)
2012-09-24 13:50

I agree that updating the magic numbers wouldn't hurt. On the other hand, I don't think magic number confusion is causing the heap corruption in question --- PR#5757 looks like a more likely culprit. So, I propose to schedule this update for 4.01 and leave it out of the bugfix release 4.00.1.

- Issue History
Date Modified Username Field Change
2012-07-28 14:03 lefessan New Issue
2012-07-31 13:31 doligez Status new => confirmed
2012-09-24 13:50 xleroy Note Added: 0008154
2012-09-24 13:50 xleroy Priority urgent => normal
2012-09-24 13:50 xleroy Target Version 4.00.1+dev => 4.01.0+dev
2013-07-09 13:12 frisch Status confirmed => closed
2013-07-09 13:12 frisch Resolution open => fixed
2013-07-09 13:12 frisch Fixed in Version => 4.01.0+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker